package com.bonus.material.ma.service.impl;

import java.util.List;
import com.bonus.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.bonus.material.ma.mapper.WholeSetMapper;
import com.bonus.material.ma.domain.WholeSet;
import com.bonus.material.ma.service.IWholeSetService;

/**
 * 成套设备Service业务层处理
 * 
 * @author xsheng
 * @date 2024-09-27
 */
@Service
public class WholeSetServiceImpl implements IWholeSetService 
{
    @Autowired
    private WholeSetMapper wholeSetMapper;

    /**
     * 查询成套设备
     * 
     * @param id 成套设备主键
     * @return 成套设备
     */
    @Override
    public WholeSet selectWholeSetById(Long id)
    {
        return wholeSetMapper.selectWholeSetById(id);
    }

    /**
     * 查询成套设备列表
     * 
     * @param wholeSet 成套设备
     * @return 成套设备
     */
    @Override
    public List<WholeSet> selectWholeSetList(WholeSet wholeSet)
    {
        return wholeSetMapper.selectWholeSetList(wholeSet);
    }

    /**
     * 新增成套设备
     * 
     * @param wholeSet 成套设备
     * @return 结果
     */
    @Override
    public int insertWholeSet(WholeSet wholeSet)
    {
        wholeSet.setCreateTime(DateUtils.getNowDate());
        return wholeSetMapper.insertWholeSet(wholeSet);
    }

    /**
     * 修改成套设备
     * 
     * @param wholeSet 成套设备
     * @return 结果
     */
    @Override
    public int updateWholeSet(WholeSet wholeSet)
    {
        wholeSet.setUpdateTime(DateUtils.getNowDate());
        return wholeSetMapper.updateWholeSet(wholeSet);
    }

    /**
     * 批量删除成套设备
     * 
     * @param ids 需要删除的成套设备主键
     * @return 结果
     */
    @Override
    public int deleteWholeSetByIds(Long[] ids)
    {
        return wholeSetMapper.deleteWholeSetByIds(ids);
    }

    /**
     * 删除成套设备信息
     * 
     * @param id 成套设备主键
     * @return 结果
     */
    @Override
    public int deleteWholeSetById(Long id)
    {
        return wholeSetMapper.deleteWholeSetById(id);
    }
}
